openSUSE-SU-2019:0268-1: important: Security update for systemd


openSUSE Security Update: Security update for systemd
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0268-1
Rating: important
References: #1111498 #1117025 #1117382 #1120658 #1122000
#1122344 #1123333 #1123892 #1125352
Cross-References: CVE-2019-6454
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves one vulnerability and has 8 fixes is
now available.

Description:

This update for systemd fixes the following issues:

Security vulnerability fixed:

– CVE-2019-6454: Fixed a crash of PID1 by sending specially crafted D-BUS
message on the system bus by an unprivileged user (bsc#1125352)

Other bug fixes and changes:

– journal-remote: set a limit on the number of fields in a message
– journal-remote: verify entry length from header
– journald: set a limit on the number of fields (1k)
– journald: do not store the iovec entry for process commandline on stack
– core: include Found state in device dumps
– device: fix serialization and deserialization of DeviceFound
– fix path in btrfs rule (#6844)
– assemble multidevice btrfs volumes without external tools (#6607)
(bsc#1117025)
– Update systemd-system.conf.xml (bsc#1122000)
– units: inform user that the default target is started after exiting from
rescue or emergency mode
– manager: don’t skip sigchld handler for main and control pid for
services (#3738)
– core: Add helper functions unit_{main, control}_pid
– manager: Fixing a debug printf formatting mistake (#3640)
– manager: Only invoke a single sigchld per unit within a cleanup cycle
(bsc#1117382)
– core: update invoke_sigchld_event() to handle NULL ->sigchld_event()
– sd-event: expose the event loop iteration counter via
sd_event_get_iteration() (#3631)
– unit: rework a bit how we keep the service fdstore from being destroyed
during service restart (bsc#1122344)
– core: when restarting services, don’t close fds
– cryptsetup: Add dependency on loopback setup to generated units
– journal-gateway: use localStorage[“cursor”] only when it has valid value
– journal-gateway: explicitly declare local variables
– analyze: actually select longest activated-time of services
– sd-bus: fix implicit downcast of bitfield reported by LGTM
– core: free lines after reading them (bsc#1123892)
– pam_systemd: reword message about not creating a session (bsc#1111498)
– pam_systemd: suppress LOG_DEBUG log messages if debugging is off
(bsc#1111498)
– main: improve RLIMIT_NOFILE handling (#5795) (bsc#1120658)
– sd-bus: if we receive an invalid dbus message, ignore and proceeed
– automount: don’t pass non-blocking pipe to kernel.
– units: make sure initrd-cleanup.service terminates before switching to
rootfs (bsc#1123333)
– units: add Wants=initrd-cleanup.service to initrd-switch-root.target
(#4345) (bsc#1123333)

This update was imported from the SUSE:SLE-12-SP2:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-268=1

Package List:

– openSUSE Leap 42.3 (i586 x86_64):

libsystemd0-228-68.1
libsystemd0-debuginfo-228-68.1
libsystemd0-mini-228-68.1
libsystemd0-mini-debuginfo-228-68.1
libudev-devel-228-68.1
libudev-mini-devel-228-68.1
libudev-mini1-228-68.1
libudev-mini1-debuginfo-228-68.1
libudev1-228-68.1
libudev1-debuginfo-228-68.1
nss-myhostname-228-68.1
nss-myhostname-debuginfo-228-68.1
nss-mymachines-228-68.1
nss-mymachines-debuginfo-228-68.1
systemd-228-68.1
systemd-debuginfo-228-68.1
systemd-debugsource-228-68.1
systemd-devel-228-68.1
systemd-logger-228-68.1
systemd-mini-228-68.1
systemd-mini-debuginfo-228-68.1
systemd-mini-debugsource-228-68.1
systemd-mini-devel-228-68.1
systemd-mini-sysvinit-228-68.1
systemd-sysvinit-228-68.1
udev-228-68.1
udev-debuginfo-228-68.1
udev-mini-228-68.1
udev-mini-debuginfo-228-68.1

– openSUSE Leap 42.3 (x86_64):

libsystemd0-32bit-228-68.1
libsystemd0-debuginfo-32bit-228-68.1
libudev1-32bit-228-68.1
libudev1-debuginfo-32bit-228-68.1
nss-myhostname-32bit-228-68.1
nss-myhostname-debuginfo-32bit-228-68.1
systemd-32bit-228-68.1
systemd-debuginfo-32bit-228-68.1

– openSUSE Leap 42.3 (noarch):

systemd-bash-completion-228-68.1
systemd-mini-bash-completion-228-68.1

References:

https://www.suse.com/security/cve/CVE-2019-6454.html
https://bugzilla.suse.com/1111498
https://bugzilla.suse.com/1117025
https://bugzilla.suse.com/1117382
https://bugzilla.suse.com/1120658
https://bugzilla.suse.com/1122000
https://bugzilla.suse.com/1122344
https://bugzilla.suse.com/1123333
https://bugzilla.suse.com/1123892
https://bugzilla.suse.com/1125352


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org